part of burner_back;

// use it
// var currentUser = new User.fromJSON(JSON.decode(jsonString));

class User {

    DateTime createdAt;
    String email;
    bool emailVerified;
    String objectId;
    String sessionToken;
    DateTime updatedAt;
    String username;

    User.fromJSON(Map json){
        createdAt = DateTime.parse(json["createdAt"]);
        email = json["email"];
        emailVerified = json["emailVerified"];
        objectId = json["objectId"];
        sessionToken = json["sessionToken"];
        updatedAt = DateTime.parse(json["updatedAt"]);
        username = json["username"];
    }

    toString(){
        var sb = new StringBuffer();
        sb.write("User: ");
        sb.write(" createdAt: $createdAt,");
        sb.write(" email: $email,");
        sb.write(" emailVerified: $emailVerified,");
        sb.write(" objectId: $objectId,");
        sb.write(" sessionToken: $sessionToken,");
        sb.write(" updatedAt: $updatedAt,");
        sb.write(" username: $username,");
        return sb.toString();
    }

}
